Search:

# CWIS Developers Documentation

- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Privilege Class Reference

User rights management framework allowing custom privege definition. More...

List of all members.

## Setup/Initialization/Destruction
| Privilege ($Id, $Name=NULL)
| Object Constructor Pass in a value for the name and a NULL id to make a new privilege.
| Delete ()
| Delete this privelege from the DB NOTE: the object should not be used after calling this.
## Accessors
| Id ()
| Get Id.
| Name ($NewValue=NULL)
| Get or set Name.
| IsPredefined ($Id=NULL)
| Report whether privilege is predefined or custom Can be called as Privilege::IsPredefind(ID).

## Detailed Description

User rights management framework allowing custom privege definition.

Definition at line 24 of file Privilege.php.

## Member Function Documentation

Privilege::Delete | ( |  | ) |

Delete this privelege from the DB NOTE: the object should not be used after calling this.

Definition at line 82 of file Privilege.php.

References Id(), and IsPredefined().

Privilege::Id | ( |  | ) |

Get Id.

Returns:
  Id

Definition at line 98 of file Privilege.php.

Referenced by Delete(), IsPredefined(), Name(), and Privilege().

Here is the caller graph for this function:

Privilege::IsPredefined | ( | $ | Id = `NULL` | ) |

Report whether privilege is predefined or custom Can be called as Privilege::IsPredefind(ID).

Parameters:

  | Id | (OPTIONAL)

Returns:
  TRUE for predefined values, FALSE otherwise

Definition at line 123 of file Privilege.php.

References Id().

Referenced by Delete(), Name(), and Privilege().

Here is the caller graph for this function:

Privilege::Name | ( | $ | NewValue = `NULL` | ) |

Get or set Name.

Parameters:

  | NewValue | (OPTIONAL)

Returns:
  Current setting of the name

Definition at line 104 of file Privilege.php.

References Id(), and IsPredefined().

Referenced by Privilege().

Here is the caller graph for this function:

Privilege::Privilege | ( | $ | Id,
|  | $ | Name = `NULL` |
| ) |  |  |

Object Constructor Pass in a value for the name and a NULL id to make a new privilege.

Parameters:

  | Id | Privilege ID number
  | Name |

Definition at line 37 of file Privilege.php.

References Id(), IsPredefined(), and Name().

The documentation for this class was generated from the following file:

- Privilege.php